HA_LOGD(8)

NAME
ha_logd - Logging Daemon for High-Availability Linux

SYNOPSIS
ha_logd [ -skdh ] [ -c configure file ]

DESCRIPTION
ha_logd is a logging daemon for Linux-HA. It receives messages from a local domain socket /var/lib/log_daemon, writes them to appropriate files and syslog if enabled. The reason the logging daemon is written is that occationally Heartbeat suffers from disk I/O delays. By sending log messages to logging daemon, heatbeat can avoid disk I/O delays.

OPTIONS

-s  Show the status of ha_logd, running or stopped.

-k  Stop (kill) the daemon

-d  Make the logging daemon a daemon

-h  Show help message

-c configure file
    Configure file for ha_logd. User can configure log file, debuf file, log facility, entity and useapphbd.
     For details, see sample configure file ha_logd.cf.

FILES
/var/run/ha_logd.pid Default PID file.

ha_logd.cf Sample config file for ha_logd. This file is installed together with other Heartbeat documents.

SEE ALSO
heartbeat(8) ha_logger(8)

DOCUMENTATION
More information may be found at http://www.linux-ha.org.

AUTHORS
 Guochun Shi <gshi@ncsa.uiuc.edu>
 Alan Robertson <alanr@unix.sh>
 Lars Marowsky-Bree <lmb@suse.de>